//
// DONE
//
// RootViewCell.m
// WTFeedbackViewDemo   1.0
//
// Created by Wagner Truppel on 2009-10-08.
// Copyright 2009 Wagner Truppel (jrcapab@gmail.com). All rights reserved.
//
// Redistribution and use in binary and source forms, with or without
// modification, are permitted for any project, commercial or otherwise,
// provided that the following conditions are met:
//
// Redistributions in binary form must display the copyright notice in the
// About view, website, and/or documentation.
//
// Redistributions of source code must retain the copyright notice, this
// list of conditions, and the following disclaimer.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THIS SOFTWARE.

#import "CustomLogging.h"
#import "RootViewCell.h"



// ========================================================================= //
                        #pragma mark private interface
// ========================================================================= //

@interface RootViewCell ()

@property (readwrite, nonatomic, retain) UILabel* contentLabel;

@property (readwrite, nonatomic, retain) UILabel* method1Label;
@property (readwrite, nonatomic, retain) UILabel* method2Label;
@property (readwrite, nonatomic, retain) UILabel* method3Label;

@end

// ========================================================================= //



@implementation RootViewCell

// ========================================================================= //
                           #pragma mark properties
// ========================================================================= //

@synthesize  contentLabel;

@synthesize  method1Label;
@synthesize  method2Label;
@synthesize  method3Label;

// ========================================================================= //
                            #pragma mark methods
// ========================================================================= //

- (void) awakeFromNib;
{
    BEGIN
    // WTLOG(@"RootViewCell: -awakeFromNib");

    self.accessoryType = UITableViewCellAccessoryDisclosureIndicator;

     contentLabel.font = [UIFont boldSystemFontOfSize: 13];

     method1Label.font = [UIFont     systemFontOfSize: 13];
     method2Label.font = [UIFont     systemFontOfSize: 13];
     method3Label.font = [UIFont     systemFontOfSize: 13];

    END
}

// ========================================================================= //

- (void) dealloc;
{
    BEGIN
    // WTLOG(@"RootViewCell: -dealloc");

    [contentLabel release];

    [method1Label release];
    [method2Label release];
    [method3Label release];

    [super dealloc];

    END
}

// ========================================================================= //

@end
